#include <stdlib.h>
#include <mbstring.h>
#include "common.h"

bool check_mbs_validity(const char *text)
{
    const char *p;

    p = text;
    while (*p != '\0') {
        if (mblen(p, MBC_MAXLEN) < 0) {
            return false;
        }
        p = _mbsinc(p);
    }
    return true;
}

